GET /v1/projects/{projectGuid}/projectworktypes

visma.com

Summary: Get project work types.
Operation ID: ProjectWorkTypes_GetProjectWorktypes
Auth: unknown
Description

This is the same as organization's list of work types, unless the project has some specific work types and "UseWorktypesFromSetting" in project model is set to false.

Parameters (7)

active (boolean, query, optional)

If not given, return all work types, if given as true return only active work types, if given as false returns only inactive work types.

changedSince (string, query, optional)

Optional: Get project work types that have been added or changed after this date time (greater or equal).

firstRow (integer, query, optional, default: 0)

Optional: first row to fetch. Default 0 = first row.

includeWorktypesFromRegistry (boolean, query, optional, default: False)

Include work types also from registry. If false, returns only project specific work types. Default false.

projectGuid (string, path, required)

GUID of the project.

rowCount (integer, query, optional)

Optional: How many rows to fetch, Default 20, maximum 100.

textToSearch (string, query, optional)

Optional: Text to search from work type name.

No probe data for this endpoint yet.